@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
body {
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif;
    background-image: url(".Weather Project/Amir/Pics/yellow.jpg");
}


/* Barre de navigation */

header>nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    justify-content: flex-end;
}

ul {
    font-size: 20px;
    list-style-type: none;
    margin: 25px;
    padding: 0;
    overflow: hidden;
}

li {
    list-style-type: none;
    color: Black;
    float: left;
}

li a {
    list-style-type: none;
    color: Black;
    padding: 17px;
    text-decoration: none;
}

nav h1 {
    color: rgb(8, 8, 8);
    font-size: 35px;
    position: middle;
}

nav .onglets {
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    text-align: right;
    justify-content: flex-end;
}

nav .onglets p {
    font-size: 17px;
    margin-right: 10px;
    cursor: pointer;
}

nav .onglets input {
    margin: 8px 20px;
    padding: 15px;
    border-radius: 30px;
    border: none;
    background-color: #f2f2f2;
    outline: none;
}


/* Fin de la barre de navigation */


/* Header */

header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

header h1 {
    font-size: 50px;
    max-width: 850px;
    text-align: right;
}

header button {
    padding: 15px 20px;
    font-size: 20px;
    border: none;
    border-radius: 5px;
    outline: none;
    cursor: pointer;
}


/* Fin du header */


/* Section principale */

.main {
    margin: 20px;
    margin-top: 80px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.centrer {
    text-align: center;
}


/* Toutes les cartes */

.cards {
    display: flex;
    flex-wrap: wrap;
}

.cards .card {
    margin-right: 20px;
    cursor: pointer;
}

.cards .card img {
    width: 350px;
}

.cards .card .card-header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.cards .card .card-body p {
    margin-top: -10px;
}


/* Fin de toutes les cartes */


/* Video de présentation */

.main .video {
    margin-top: 80px;
    width: 90%;
}

.main .video iframe {
    border: none;
    border-radius: 10px;
    width: 100%;
    height: 400px;
}


/* Fin de la vidéo de présentation */


/* Fin de la section principale */


/* Pied de page */

footer {
    margin-top: 100px;
    background-color: #000;
    padding: 30px;
    color: #fff;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer .social-media {
    display: flex;
}

footer .social-media p {
    margin-right: 15px;
    border: 1px solid #fff;
    border-radius: 100%;
    padding: 5px;
    text-align: center;
    width: 20px;
    cursor: pointer;
}


/* Fin du pied de page */

@media screen and (max-width: 640px) {
    nav .onglets .link,
    nav h1 {
        display: none;
    }
    .cards .card img {
        width: 300px;
    }
}